Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162749 - Can not rebuild last official php by user
Summary: Can not rebuild last official php by user
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-08 09:30 UTC by Andy Shevchenko
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: 4.3.9-3.8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-20 08:11:28 UTC


Attachments (Terms of Use)

Description Andy Shevchenko 2005-07-08 09:30:43 UTC
Description of problem:
I can not rebuild php from last official updates for rhel3/4 by user.

Actual results:
++ mktemp -dp /home/build/BUILD/php-4.3.9
+ pkg=/tmp/tmp.DVdsU30507
+ pushd /tmp/tmp.DVdsU30507+ tar -xvf ../pear/packages/XML_RPC-1.1.0.tartar: ../
pear/packages/XML_RPC-1.1.0.tar: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
error: Bad exit status from /var/tmp/rpm-tmp.79533 (%prep)
    Bad exit status from /var/tmp/rpm-tmp.79533 (%prep)


Expected results:
Normal building.


My investigation shows that mktemp util have been got $TMPDIR value instead of -
p argument due to priority.

As result I propose 2 ways for fixing issue:
- unset TMPDIR in user environment
- or include unset TMPDIR into spec file.

Comment 1 Joe Orton 2005-07-08 09:52:44 UTC
Thanks for the report and analysis.

Indeed; changing the mktemp line to:

pkg=`unset TMPDIR; mktemp -dp ${PWD}`

should work.

Comment 2 Joe Orton 2005-08-20 08:11:28 UTC
This was fixed in the RHSA-2005:748 update.


Note You need to log in before you can comment on or make changes to this bug.